/*-=-=-=-=-=-=-=-=-=-=-=- RCCL/RCI Notice of Copyright -=-=-=-=-=-=-=-=-=-=-*
 *									    *
 *	Copyright (C) 1987, 1991 by John E. Lloyd.			    *
 *									    *
 *	Information on copyright permissions, as well as a complete	    *
 *	disclaimer of warranty, is given in the file COPYRIGHT.		    *
 *									    *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

#include "../h/cdefs.h"
#include "../h/robotClass.h"
#include "../h/robotComfxns.h"

extern puma_startup();
extern puma_input();
extern puma_output();
extern puma_release();

extern elbow_startup();
extern elbow_input();
extern elbow_output();
extern elbow_release();

extern stan_startup();
extern stan_input();
extern stan_output();
extern stan_release();

ROBOT_COMFXNS robotComfxns[] =
{
	PUMA,	puma_startup,	puma_input,
		puma_output,	puma_release,

	ELBOW,	elbow_startup,	elbow_input,
		elbow_output,	elbow_release,

	STAN,	stan_startup,	stan_input,
		stan_output,	stan_release,
};

int numRobotComfxns = ARRAY_SIZE(robotComfxns);
